System and browser requirements for Voice

Before you use Google Voice, be sure your device meets these requirements:

Compatible operating systems

Google Voice is compatible with the current release and two previous major releases of these operating systems:

  • Chrome OS
  • Apple® MacOS®
  • Microsoft® Windows®
  • Android (latest two versions)
  • Apple iOS (latest two versions)
  • Limited functionality may also be available on other platforms.

Compatible web browsers

Google Voice is compatible with the current release and one previous major release of these browsers:

  • Chrome Browser
  • Mozilla® Firefox® (Windows and Mac)
Was this helpful?
How can we improve it?